function [dec]=MLdecode(rx,constellation);
%function [dec]=MLdecode(rx,constellation);
%rx: received vectors
%constellation; 2^b,N
%dec: symbol identifier
[w,N]=size(rx);
for j=1:w
    if N==1
        symbol=rx(j);
        distances=(symbol-constellation).^2;
    else
        symbol=rx(j,:);
        distances=sum((ones(N,1)*symbol-constellation).^2,2);
    end
    [pippo,dec(j)]=min(distances);
end
