function [constellation,map]=MPAMmapGray(b);
%function [constellation,map]=MPAMmapGray(b);
%b: bit per simbol
%constellation; 2^b,N
%map: associated bits
m=1:2^b;
amplitudes=(2*m-2^b-1);
constellation=amplitudes/norm(amplitudes)*(2^b)^0.5;
map=[0;1];
for ib=2:b
    map=[map;flipud(map)];
    nr=size(map,1);
    fc=[zeros(nr/2,1);ones(nr/2,1)];
    map=[fc,map];
end